Bug 173540 - devel/libical: Update to 0.48
Summary: devel/libical: Update to 0.48
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-10 23:20 UTC by Marcin Cieślak
Modified: 2012-12-30 05:20 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (337 bytes, patch)
2012-11-10 23:20 UTC, Marcin Cieślak
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcin Cieślak 2012-11-10 23:20:00 UTC
libical is now at 0.48

Citadel git trunk needs ical_unknown_token_handling
Comment 1 Edwin Groothuis freebsd_committer 2012-11-10 23:20:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2012-12-30 05:14:13 UTC
Author: mezz
Date: Sun Dec 30 05:14:01 2012
New Revision: 309647
URL: http://svnweb.freebsd.org/changeset/ports/309647

Log:
  -Update devel/libical to 0.48.
  -Update the header
  -OPTIONSng
  -Use the ltverhack to correct the shared library version (44 -> 0).
  
  Bump the rest ports that depend on devel/libical because of shared library
  version has been changed. Document the update in UPDATING.
  
  PR:		ports/173540
  Remind by:	Marcin Cieslak <saper@saper.info>

Modified:
  head/UPDATING
  head/comms/gnokii/Makefile
  head/converters/ical2html/Makefile   (contents, props changed)
  head/databases/evolution-data-server/Makefile   (contents, props changed)
  head/deskutils/kdepimlibs4/Makefile   (contents, props changed)
  head/deskutils/orage/Makefile   (contents, props changed)
  head/deskutils/osmo/Makefile   (contents, props changed)
  head/deskutils/simpleagenda/Makefile   (contents, props changed)
  head/devel/libical/Makefile   (contents, props changed)
  head/devel/libical/distinfo   (contents, props changed)
  head/devel/libical/pkg-plist   (contents, props changed)
  head/finance/kmymoney-kde4/Makefile   (contents, props changed)
  head/mail/libmapi/Makefile   (contents, props changed)
  head/misc/wmcalendar/Makefile   (contents, props changed)

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Sun Dec 30 04:28:48 2012	(r309646)
+++ head/UPDATING	Sun Dec 30 05:14:01 2012	(r309647)
@@ -5,6 +5,20 @@ they are unavoidable.
 You should get into the habit of checking this file for changes each time
 you update your ports collection, before attempting any port upgrades.
 
+20121229:
+  AFFECTS: users of devel/libical
+  AUTHOR gnome@FreeBSD.org
+
+  The devel/libical has been updated to 0.48. The shared library version has
+  been changed from 44 to 0. Please rebuild all ports that depends on it:
+
+  If you use portmaster:
+        portmaster -r libical
+  If you use portupgrade:
+        portupgrade -fr devel/libical
+  If you use pkgng with binary packages:
+        pkg install -fR devel/libical
+
 20121228:
   AFFECTS: users of databases/innotop, multimedia/zoneminder
   net-mgmt/netdot, ports-mgmt/tinderbox, ports-mgmt/tinderbox-devel

Modified: head/comms/gnokii/Makefile
==============================================================================
--- head/comms/gnokii/Makefile	Sun Dec 30 04:28:48 2012	(r309646)
+++ head/comms/gnokii/Makefile	Sun Dec 30 05:14:01 2012	(r309647)
@@ -3,7 +3,7 @@
 
 PORTNAME=	gnokii
 PORTVERSION=	0.6.31
-PORTREVISION=	1
+PORTREVISION=	2
 PORTEPOCH=	1
 CATEGORIES=	comms
 MASTER_SITES=	http://www.gnokii.org/download/gnokii/ \

Modified: head/converters/ical2html/Makefile
==============================================================================
--- head/converters/ical2html/Makefile	Sun Dec 30 04:28:48 2012	(r309646)
+++ head/converters/ical2html/Makefile	Sun Dec 30 05:14:01 2012	(r309647)
@@ -7,13 +7,14 @@
 
 PORTNAME=	ical2html
 PORTVERSION=	2.0
+PORTREVISION=	1
 CATEGORIES=	converters
 MASTER_SITES=	http://www.w3.org/Tools/Ical2html/
 
 MAINTAINER=	keiichi@iijlab.net
 COMMENT=	Manipulation commands for iCalendar files
 
-LIB_DEPENDS=	ical.44:${PORTSDIR}/devel/libical
+LIB_DEPENDS=	ical:${PORTSDIR}/devel/libical
 
 GNU_CONFIGURE=	yes
 

Modified: head/databases/evolution-data-server/Makefile
==============================================================================
--- head/databases/evolution-data-server/Makefile	Sun Dec 30 04:28:48 2012	(r309646)
+++ head/databases/evolution-data-server/Makefile	Sun Dec 30 05:14:01 2012	(r309647)
@@ -8,7 +8,7 @@
 
 PORTNAME=	evolution-data-server
 PORTVERSION=	2.32.1
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	databases gnome
 MASTER_SITES=	GNOME
 DIST_SUBDIR=	gnome2
@@ -19,7 +19,7 @@ COMMENT=	The data backends for the Evolu
 LIB_DEPENDS=	soup-2.4.1:${PORTSDIR}/devel/libsoup \
 		gdata.7:${PORTSDIR}/devel/libgdata \
 		dbus-glib-1.2:${PORTSDIR}/devel/dbus-glib \
-		ical.44:${PORTSDIR}/devel/libical \
+		ical:${PORTSDIR}/devel/libical \
 		nss3.1:${PORTSDIR}/security/nss \
 		tasn1.4:${PORTSDIR}/security/libtasn1 \
 		sqlite3.8:${PORTSDIR}/databases/sqlite3 \

Modified: head/deskutils/kdepimlibs4/Makefile
==============================================================================
--- head/deskutils/kdepimlibs4/Makefile	Sun Dec 30 04:28:48 2012	(r309646)
+++ head/deskutils/kdepimlibs4/Makefile	Sun Dec 30 05:14:01 2012	(r309647)
@@ -6,7 +6,7 @@
 
 PORTNAME=	kdepimlibs
 PORTVERSION=	${KDE4_VERSION}
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	deskutils kde ipv6
 MASTER_SITES=	${MASTER_SITE_KDE}
 MASTER_SITE_SUBDIR=	${KDE4_BRANCH}/${PORTVERSION}/src
@@ -18,7 +18,7 @@ COMMENT=	Libraries for KDE-PIM applicati
 LIB_DEPENDS=	gpgme.19:${PORTSDIR}/security/gpgme \
 		sasl2:${PORTSDIR}/security/cyrus-sasl2 \
 		boost_thread.4:${PORTSDIR}/devel/boost-libs \
-		ical.44:${PORTSDIR}/devel/libical \
+		ical:${PORTSDIR}/devel/libical \
 		uuid.1:${PORTSDIR}/misc/e2fsprogs-libuuid \
 		prison.0:${PORTSDIR}/graphics/prison
 

Modified: head/deskutils/orage/Makefile
==============================================================================
--- head/deskutils/orage/Makefile	Sun Dec 30 04:28:48 2012	(r309646)
+++ head/deskutils/orage/Makefile	Sun Dec 30 05:14:01 2012	(r309647)
@@ -3,7 +3,7 @@
 
 PORTNAME=	orage
 PORTVERSION=	4.8.3
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	deskutils xfce
 MASTER_SITES=	${MASTER_SITE_XFCE}
 MASTER_SITE_SUBDIR=/src/apps/${PORTNAME}/${PORTVERSION:R}
@@ -45,7 +45,7 @@ CONFIGURE_ARGS+=--with-bdb4=no
 
 .if ${PORT_OPTIONS:MICAL}
 CONFIGURE_ARGS+=--enable-libical
-LIB_DEPENDS+=	ical.44:${PORTSDIR}/devel/libical
+LIB_DEPENDS+=	ical:${PORTSDIR}/devel/libical
 CFLAGS+=	-I${LOCALBASE}/include/libical
 PLIST_SUB+=	WITH_ICAL="@comment "
 .else

Modified: head/deskutils/osmo/Makefile
==============================================================================
--- head/deskutils/osmo/Makefile	Sun Dec 30 04:28:48 2012	(r309646)
+++ head/deskutils/osmo/Makefile	Sun Dec 30 05:14:01 2012	(r309647)
@@ -7,7 +7,7 @@
 
 PORTNAME=	osmo
 PORTVERSION=	0.2.10
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	deskutils
 MASTER_SITES=	SF/${PORTNAME}-pim/${PORTNAME}-pim/${PORTNAME}-${PORTVERSION}/
 

Modified: head/deskutils/simpleagenda/Makefile
==============================================================================
--- head/deskutils/simpleagenda/Makefile	Sun Dec 30 04:28:48 2012	(r309646)
+++ head/deskutils/simpleagenda/Makefile	Sun Dec 30 05:14:01 2012	(r309647)
@@ -2,6 +2,7 @@
 
 PORTNAME=	simpleagenda
 PORTVERSION=	0.42
+PORTREVISION=	1
 CATEGORIES=	deskutils gnustep
 MASTER_SITES=	http://coyote.octets.fr/pub/gnustep/
 DISTNAME=	SimpleAgenda-${PORTVERSION}

Modified: head/devel/libical/Makefile
==============================================================================
--- head/devel/libical/Makefile	Sun Dec 30 04:28:48 2012	(r309646)
+++ head/devel/libical/Makefile	Sun Dec 30 05:14:01 2012	(r309647)
@@ -1,19 +1,15 @@
-# New ports collection makefile for:   libical
-# Date created:        8 November 2002
-# Whom:                Joe Kelsey
-#
+# Created by: Joe Kelsey
 # $FreeBSD$
-#
 
 PORTNAME=	libical
-PORTVERSION=	0.44
+PORTVERSION=	0.48
 CATEGORIES=	devel
 MASTER_SITES=	SF/freeassociation/${PORTNAME}/${PORTNAME}-${PORTVERSION}
 
 MAINTAINER=	gnome@FreeBSD.org
-COMMENT=	An implementation of the IETF's Calendaring and Scheduling protocols
+COMMENT=	An implementation of the IETF Calendaring and Scheduling protocols
 
-USE_GNOME=	gnomehack
+USE_GNOME=	gnomehack ltverhack
 USE_AUTOTOOLS=	libtool
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
@@ -21,7 +17,11 @@ USE_PERL5_BUILD=yes
 USE_LDCONFIG=	yes
 CPPFLAGS+=	-I${LOCALBASE}/include
 
-.if !defined(WITHOUT_PYTHON)
+OPTIONS_DEFINE=	PYTHON
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MPYTHON}
 CONFIGURE_ARGS=	--enable-python=yes
 USE_PYTHON=	yes
 .else
@@ -29,6 +29,7 @@ CONFIGURE_ARGS=	--enable-python=no
 .endif
 
 .include <bsd.port.pre.mk>
+
 .if ${ARCH} == "amd64" || ${ARCH} == "ia64"
 CFLAGS+=	-fPIC
 .endif

Modified: head/devel/libical/distinfo
==============================================================================
--- head/devel/libical/distinfo	Sun Dec 30 04:28:48 2012	(r309646)
+++ head/devel/libical/distinfo	Sun Dec 30 05:14:01 2012	(r309647)
@@ -1,2 +1,2 @@
-SHA256 (libical-0.44.tar.gz) = 20a4750df8f4dedd718b55117b8351989e0dfa4ad2c966a383550ed43e6a72d8
-SIZE (libical-0.44.tar.gz) = 1149067
+SHA256 (libical-0.48.tar.gz) = 2ae78b0757f0dd13431acf42a9a8d038339fd4767fd5134e650bf60ee0b4dff0
+SIZE (libical-0.48.tar.gz) = 1173620

Modified: head/devel/libical/pkg-plist
==============================================================================
--- head/devel/libical/pkg-plist	Sun Dec 30 04:28:48 2012	(r309646)
+++ head/devel/libical/pkg-plist	Sun Dec 30 05:14:01 2012	(r309647)
@@ -47,14 +47,14 @@ include/libical/vobject.h
 lib/libical.a
 lib/libical.la
 lib/libical.so
-lib/libical.so.44
+lib/libical.so.0
 lib/libicalss.a
 lib/libicalss.la
 lib/libicalss.so
-lib/libicalss.so.44
+lib/libicalss.so.0
 lib/libicalvcal.a
 lib/libicalvcal.la
 lib/libicalvcal.so
-lib/libicalvcal.so.44
+lib/libicalvcal.so.0
 libdata/pkgconfig/libical.pc
 @dirrm include/libical

Modified: head/finance/kmymoney-kde4/Makefile
==============================================================================
--- head/finance/kmymoney-kde4/Makefile	Sun Dec 30 04:28:48 2012	(r309646)
+++ head/finance/kmymoney-kde4/Makefile	Sun Dec 30 05:14:01 2012	(r309647)
@@ -2,6 +2,7 @@
 
 PORTNAME=	kmymoney
 PORTVERSION=	4.6.3
+PORTREVISION=	1
 CATEGORIES=	finance kde
 MASTER_SITES=	SF/${PORTNAME}2/KMyMoney-KDE4/${PORTVERSION}
 

Modified: head/mail/libmapi/Makefile
==============================================================================
--- head/mail/libmapi/Makefile	Sun Dec 30 04:28:48 2012	(r309646)
+++ head/mail/libmapi/Makefile	Sun Dec 30 05:14:01 2012	(r309647)
@@ -3,7 +3,7 @@
 
 PORTNAME=	libmapi
 PORTVERSION=	0.9
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	mail
 MASTER_SITES=	SF
 MASTER_SITE_SUBDIR=openchange/openchange/openchange-${PORTVERSION}%20${CODENAME}/

Modified: head/misc/wmcalendar/Makefile
==============================================================================
--- head/misc/wmcalendar/Makefile	Sun Dec 30 04:28:48 2012	(r309646)
+++ head/misc/wmcalendar/Makefile	Sun Dec 30 05:14:01 2012	(r309647)
@@ -7,14 +7,14 @@
 
 PORTNAME=	wmcalendar
 PORTVERSION=	0.5.2
-PORTREVISION=	12
+PORTREVISION=	13
 CATEGORIES=	misc windowmaker
 MASTER_SITES=	SF
 
 MAINTAINER=	xride@FreeBSD.org
 COMMENT=	A dockable calendar with interface to iCalendar based calendars
 
-LIB_DEPENDS=	ical.44:${PORTSDIR}/devel/libical
+LIB_DEPENDS=	ical:${PORTSDIR}/devel/libical
 
 WRKSRC=		${WRKDIR}/${DISTNAME}/Src
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jeremy Messenger freebsd_committer 2012-12-30 05:14:20 UTC
State Changed
From-To: open->closed

I have committed the update of it. Your patch is incomplete, but I have 
completed it anyway. Thanks for remind of new version available.